Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 200607-13 ] Audacious: Multiple heap and buffer overflows
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Veteran
Veteran


Joined: 12 May 2004
Posts: 1571

PostPosted: Sat Jul 29, 2006 4:26 pm    Post subject: [ GLSA 200607-13 ] Audacious: Multiple heap and buffer overf Reply with quote

Gentoo Linux Security Advisory

Title: Audacious: Multiple heap and buffer overflows (GLSA 200607-13)
Severity: normal
Exploitable: remote
Date: July 29, 2006
Bug(s): #139957
ID: 200607-13

Synopsis

The adplug library included in Audacious is vulnerable to various overflows that could result in the execution of arbitrary code.

Background

Audacious is a media player that has been forked from Beep Media Player.

Affected Packages

Package: media-sound/audacious
Vulnerable: < 1.1.0
Unaffected: >= 1.1.0
Architectures: All supported architectures


Description

Luigi Auriemma has found that the adplug library fails to verify the size of the destination buffers in the unpacking instructions, resulting in various possible heap and buffer overflows.

Impact

An attacker can entice a user to load a specially crafted media file, resulting in a crash or possible execution of arbitrary code.

Workaround

There is no known workaround at this time.

Resolution

All Audacious users should upgrade to the latest version:
Code:
# emerge --sync
# emerge --ask --oneshot --verbose ">=media-sound/audacious-1.1.0"


References

BugTraq Announcement
CVE-2006-3581
CVE-2006-3582


Last edited by GLSA on Mon Aug 14, 2006 4:17 am; edited 2 times in total
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum